package it.polito.tdp.libretto;

import java.time.LocalDate;

import it.polito.tdp.libretto.model.Esame;
import it.polito.tdp.libretto.model.LibrettoModel;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.DatePicker;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;

public class LibrettoController {
	
	private LibrettoModel model ;

    @FXML
    private DatePicker txtData;

    @FXML
    private TextField txtMedia;

    @FXML
    private TextField txtVoto;

    @FXML
    private TextField txtEsami;

    @FXML
    private TextField txtCorso;

    @FXML
    private Button btnVisuallizza;

    @FXML
    private TextArea txtResult;

    @FXML
    private Button btnInserisci;
    
    
    public void setModel(LibrettoModel model) {
    	this.model = model ;
    }

    @FXML
    void doInserisci(ActionEvent event) {
    	
    	LocalDate data = txtData.getValue() ;
    	String corso = txtCorso.getText() ;
    	int voto = Integer.parseInt(txtVoto.getText()) ;
    	
    	// TODO: validazione dei dati
    	
    	model.addEsame(new Esame(data,corso,voto));
    	
    	txtEsami.setText( String.format("%d", model.getNumeroEsami()));
    	
    	txtMedia.setText( String.format("%.2f", model.getMediaEsami()));

    }

    @FXML
    void doVisualizza(ActionEvent event) {

    }

}
